# JSXGraph 1.7.0 Reference

## JavaScript must be enabled in order for you to use JSXGraph and JSXGraph reference. However, it seems JavaScript is either disabled or not supported by your browser.

Class Index | File Index

Elements

Classes

- _global_
- Angle
- Arc
- Arrow
- Arrowparallel
- Axis
- Bisector
- Bisectorlines
- Boxplot
- Button
- Cardinalspline
- Chart
- Checkbox
- Circle
- Circumcenter
- Circumcircle
- CircumcircleArc
- CircumcircleSector
- Comb
- Conic
- Curve
- Curve3D
- CurveDifference
- CurveIntersection
- CurveUnion
- Derivative
- Ellipse
- ForeignObject
- Functiongraph
- Functiongraph3D
- Glider
- Grid
- Group
- Hatch
- Hyperbola
- Image
- ImplicitCurve
- Incenter
- Incircle
- Inequality
- Input
- Integral
- Intersection
- JXG
- JXG.AbstractRenderer
- JXG.Board
- JXG.Board.infobox
- JXG.C
- JXG.CA
- JXG.CanvasRenderer
- JXG.Chart
- JXG.Circle
- JXG.Complex
- JXG.Composition
- JXG.Coords
- JXG.CoordsElement
- JXG.Curve
- JXG.Curve3D
- JXG.Dump
- JXG.EventEmitter
- JXG.Expect
- JXG.ForeignObject
- JXG.GeometryElement
- JXG.GeometryElement3D
- JXG.GeonextParser
- JXG.Group
- JXG.Image
- JXG.JessieCode
- JXG.JSXGraph
- JXG.Legend
- JXG.Line
- JXG.Line3D
- JXG.Math
- JXG.Math.BoxQuadtree
- JXG.Math.Clip
- JXG.Math.Extrapolate
- JXG.Math.Geometry
- JXG.Math.ImplicitPlot
- JXG.Math.IntervalArithmetic
- JXG.Math.Metapost
- JXG.Math.Nlp
- JXG.Math.Numerics
- JXG.Math.Plot
- JXG.Math.Poly
- JXG.Math.Poly.Monomial
- JXG.Math.Poly.Polynomial
- JXG.Math.Poly.Ring
- JXG.Math.ProbFuncs
- JXG.Math.Quadtree
- JXG.Math.Statistics
- JXG.Math.Symbolic
- JXG.NoRenderer
- JXG.Options
- JXG.Plane3D
- JXG.Point
- JXG.Point3D
- JXG.Polygon
- JXG.PrefixParser
- JXG.Server
- JXG.Server.modules
- JXG.Surface3D
- JXG.SVGRenderer
- JXG.Text
- JXG.Ticks
- JXG.Transformation
- JXG.Turtle
- JXG.Util
- JXG.Util.Base64
- JXG.Util.Unzip
- JXG.Util.UTF8
- JXG.View3D
- JXG.VMLRenderer
- JXG.XML
- Label
- Legend
- Line
- Line3D
- Locus
- MajorArc
- MajorSector
- Measurement
- Metapostspline
- Midpoint
- MinorArc
- MinorSector
- mirrorelement
- Mirrorpoint
- NonReflexAngle
- Normal
- Orthogonalprojection
- OtherIntersection
- Parabola
- Parallel
- Parallelogram
- Parallelpoint
- ParametricSurface3D
- Perpendicular
- PerpendicularPoint
- PerpendicularSegment
- Point
- Point3D
- PolarLine
- PolePoint
- Polygon
- PolygonalChain
- RadicalAxis
- Reflection
- ReflexAngle
- RegularPolygon
- Riemannsum
- Sector
- Segment
- Semicircle
- Slider
- Slopefield
- Slopetriangle
- Smartlabel
- Spline
- Stepfunction
- Tangent
- Tapemeasure
- Text
- Ticks
- Tracecurve
- Transformation
- Turtle
- Vectorfield
- Vectorfield3D
- View3D

# Namespace JXG.EventEmitter

↳ JXG.EventEmitter

Defined in: event.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| JXG.EventEmitter Event namespace

Field Summary
Field Attributes | Field Name and Description
--- | ---
<static> | JXG.EventEmitter.eventHandlers Holds the registered event handlers.
<static> | JXG.EventEmitter.suspended Events can be suspended to prevent endless loops.

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | JXG.EventEmitter.eventify(o) Implements the functionality from this interface in the given object.
<static> | JXG.EventEmitter.off(event, handler) Unregister an event handler.
<static> | JXG.EventEmitter.on(event, handler, context) Register a new event handler.
<static> | JXG.EventEmitter.trigger(event, args) Triggers all event handlers of this element for a given event.

Namespace Detail
JXG.EventEmitter
Event namespace
Field Detail
<static> {Object} JXG.EventEmitter.eventHandlers
Holds the registered event handlers.

<static> {Object} JXG.EventEmitter.suspended
Events can be suspended to prevent endless loops.
Method Detail
<static> JXG.EventEmitter.eventify(o)
Implements the functionality from this interface in the given object. All objects getting their event handling capabilities from this method should document it by adding the `on, off, triggerEventHandlers` via the borrows tag as methods to their documentation:

    @borrows JXG.EventEmitter#on as this.on

Parameters:
{Object} o

<static> JXG.EventEmitter.off(event, handler)
Unregister an event handler.

Parameters:
{String} event
{Function} handler Optional

Returns:
  Reference to the object.

<static> JXG.EventEmitter.on(event, handler, context)
Register a new event handler. For a list of possible events see documentation of the elements and objects implementing the EventEmitter interface. As of version 1.5.0, it is only possible to access the element via "this" if the event listener is supplied as regular JavaScript function and not as arrow function.

Parameters:
{String} event
{Function} handler
{Object} context Optional
  The context the handler will be called in, default is the element itself.

Returns:
  Reference to the object.

<static> JXG.EventEmitter.trigger(event, args)
Triggers all event handlers of this element for a given event.

Parameters:
{Array} event
{Array} args
  The arguments passed onto the event handler

Returns:
  Reference to the object.

Documentation generated by JsDoc Toolkit 2.4.0 on Thu Feb 15 2024 17:48:02 GMT+0000 (Coordinated Universal Time)